Name:           centericq
Version:        4.21.0
Release:        4%{?dist}

Summary:        Text mode menu- and window-driven IM

Group:          Applications/Internet
License:        GPL
URL:            http://konst.org.ua/centericq/
Source0:        http://konst.org.ua/download/centericq-4.21.0.tar.bz2
Patch0:         centericq-libyahoo.patch
Patch1:         centericq-kkconsui.patch
Patch2:         centericq-kkstrtext.patch
Patch3:         centericq-src.patch
# the next two fix CVE-2005-3694
# http://www.gentoo.org/cgi-bin/viewcvs.cgi/net-im/centericq/files/
# see redhat bugzilla #174611
Patch4:         centericq-4.21.0-icq-short-read.diff.bz2
Patch5:         centericq-4.21.0-memory-handling.diff.bz2
# and see http://www.gentoo.org/security/en/glsa/glsa-200512-11.xml 
# and redhat bugzilla #176451
Patch6:         centericq-4.21.0-kkstrtext.patch
# Fix libmsn 
Patch100:       http://centericq.de/archive/contrib/patches/centericq-4.21.0.msn.patch
# improve utf8 handling
Patch200:       centericq-ncursesw.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  krb5-devel
BuildRequires:  libidn-devel
BuildRequires:  curl-devel
BuildRequires:  ncurses-devel
BuildRequires:  gettext-devel
BuildRequires:  gpgme-devel
BuildRequires:  automake

%description
Centericq is a text mode menu- and window-driven IM interface that supports the
ICQ2000, Yahoo!, AIM, MSN, IRC and Jabber protocols.

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch100 -p1
%patch200 -p1
aclocal
autoconf
automake

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --with-ssl

%{__make} %{?_smp_flags}

%{__make} check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog FAQ NEWS README THANKS TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/*
# we don't want that
%exclude %{_includedir}/msn
%changelog
* Wed Mar 01 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.21.0-4
- improve utf8 support

* Tue Jan 03 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.21.0-3
- Fix more security related stuff
- Fix libmsn

* Wed Nov 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.21.0-2
- fix CVE-2005-3694 see (#174611)

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.21.0-1
- version upgrade (#168425)

* Mon May 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-10
- cleanup the x86_64 build fixes...

* Sun May 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-9
- hopefully the last x86_64 build fixes...

* Sun May 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-8
- and again more size_t fixes in src

* Sun May 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-7
- even more size_t build fixes in kkstrtext

* Thu May 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-6
- renew -5 buildfix and drop ifarch
- add another x86_64 buildfix

* Thu May 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-5
- x86_64 buildfix

* Mon May 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-4
- enable jabber encryption support via gpgme
- fix build (#156202)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 4.20.0-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Feb 08 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.20.0-1
- version upgrade
- remove libicq2000 exclude (not needed anymore)
- fixed BuildRequires

* Tue Dec 21 2004 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
4.13.0-1
- version upgrade
- exclude libicq2000 headers (may conflict with libicq2000-devel)
- drop GCC 3.4 patch (not needed anymore)

* Fri Nov 12 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 4.9.4-3
- Fix C++ code for FC3/GCC 3.4.

* Sun Jul 13 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:4.9.4-0.fdr.2
- Fixed issues mentioned in #446 by Michael Schwendt
* Thu Jul 03 2003 Andreas Bierfert (awjb) <andreas.bierfert[AT]awbsworld.de>
0:4.9.4-0.fdr.1
- Initial RPM release.
